--- arbsrc_07_11_01_tgz_1/lib/config.Darwin.orig	2002-09-14 15:59:41.000000000 -0700
+++ arbsrc_07_11_01_tgz_1/lib/config.Darwin	2002-09-14 15:59:33.000000000 -0700
@@ -0,0 +1,9 @@
+ARB_TEXTEDIT='xedit'
+export ARB_TEXTEDIT
+ARB_XTERM='xterm -sl 1000 -sb'
+export ARB_XTERM
+ARB_XCMD='xterm -sl 1000 -sb -e'
+export ARB_XCMD
+ARB_GS=gv
+export ARB_GS
+

--- arbsrc_07_11_01_tgz_1/Makefile	Wed Nov  7 11:34:21 2001
+++ arbsrc_07_11_01_tgz_0/Makefile	Sun Apr 28 03:45:17 2002
@@ -43,6 +43,8 @@
    fflags = -O
 endif
 
+   PREFIX = 
+   LIBDIR = /usr/lib
    XHOME = /usr/X11
 
    GMAKE = gmake -r
@@ -68,6 +70,36 @@
     SEERLIB =
 endif
 
+#********************* Darwin gcc enviroments *****************
+ifdef DARWIN
+
+   XHOME = /usr/X11R6
+   havebool = -DHAVE_BOOL
+   lflags = $(LDFLAGS) -force_flat_namespace -Wl,-stack_size -Wl,10000000 -Wl,-stack_addr -Wl,c0000000
+   DARWIN_SPECIALS = -DNO_REGEXPR  -no-cpp-precomp -DHAVE_BOOL  
+   CPP = g++2 -D$(MACH) $(DARWIN_SPECIALS) 
+   ACC = gcc2 -D$(MACH) $(DARWIN_SPECIALS) 
+   CCLIB = gcc2 -fno-common -D$(MACH) $(DARWIN_SPECIALS) 
+   CCPLIB = gcc2 -fno-common -D$(MACH) $(DARWIN_SPECIALS) 
+   AR = ld -r -o#			# Archive Linker
+   ARLIB = $(AR)#			# Archive Linker shared libs.	
+#  ARLIB = cc -bundle -flat_namespace -undefined suppress -o 	
+   SHARED_LIB_SUFFIX = a#
+# .. Just building shared libraries static, i was having problems otherwise
+
+   GMAKE = make -r
+   SYSLIBS = -lstdc++
+
+   MOTIF_LIBPATH = $(LIBDIR)/libXm.3.dylib
+   XINCLUDES = -I/usr/X11R6/include
+   XLIBS = -L$(XHOME)/lib $(SYSLIBS) -lXm -lXt -lX11 -lXext -lXp  -lc
+
+   PERLBIN = /usr/bin
+   PERLLIB = /usr/lib
+   CRYPTLIB = -L/usr/lib -lcrypt
+
+endif
+
 #********************* Linux and gcc enviroments *****************
 ifdef LINUX
 
@@ -645,7 +677,7 @@
 	lib/libARBDO.$(SHARED_LIB_SUFFIX) \
 	lib/libAW.$(SHARED_LIB_SUFFIX) \
 	lib/libAWT.$(SHARED_LIB_SUFFIX) \
-	lib/libXm.so.2
+	lib/libXm.so.3
 else
 libs:	lib/libARBDB.$(SHARED_LIB_SUFFIX) \
 	lib/libARBDBPP.$(SHARED_LIB_SUFFIX) \
@@ -660,11 +692,11 @@
 # the following lib is not provided with the source
 # you need to install Motif (NOT lesstif) and correct
 # MOTIF_LIBPATH
+ifndef MOTIF_LIBPATH
+MOTIF_LIBPATH=LIBLINK/libXm.so.3
+endif
 
-MOTIF_LIBPATH=LIBLINK/libXm.so.2
-#MOTIF_LIBPATH=/usr/X11R6/lib/libXm.so.2
-
-lib/libXm.so.2:  $(MOTIF_LIBPATH)
+lib/libXm.so.3:  $(MOTIF_LIBPATH)
 	cp $< $@
 
 bin/arb_%:	DEPOT2/%
diff -ruN arbsrc_07_11_01_tgz_1/SOURCE_TOOLS/generate_all_links.sh SOURCE_TOOLS/generate_all_links.sh
--- arbsrc_07_11_01_tgz_1/SOURCE_TOOLS/generate_all_links.sh	Wed Nov  7 08:57:42 2001
+++ arbsrc_07_11_01_tgz_0/SOURCE_TOOLS/generate_all_links.sh	Sun Apr 28 03:21:52 2002
@@ -25,8 +25,8 @@
 ln -s ../WINDOW/libAW.so.2.0 LIBLINK/libAW.so.2.0
 
 # Motif stuff
-ln -s ../Motif/libXm.so.2 LIBLINK/libXm.so.2
-ln -s /usr/lib/Motif1.2/libXm.1 LIBLINK/libXm.sl
+ln -s $MOTIF_LIBPATH LIBLINK/libXm.so.3
+ln -s $LIBDIR/libXm.1.dylib LIBLINK/libXm.sl
 
 # Links in bin directory
 cd bin
diff -ruN arbsrc_07_11_01_tgz_1/AISC/aisc.c arb/AISC/aisc.c
--- arbsrc_07_11_01_tgz_1/AISC/aisc.c	Thu Nov 23 01:41:07 2000
+++ arb/AISC/aisc.c	Thu Mar 21 12:31:06 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include "aisc.h"
 #include "aisc_proto.h"
diff -ruN arbsrc_07_11_01_tgz_1/AISC/aisc_commands.c arb/AISC/aisc_commands.c
--- arbsrc_07_11_01_tgz_1/AISC/aisc_commands.c	Thu Nov 23 01:41:07 2000
+++ arb/AISC/aisc_commands.c	Thu Mar 21 12:31:06 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <unistd.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 
 #include "aisc.h"
diff -ruN arbsrc_07_11_01_tgz_1/AISC/aisc_mix.c arb/AISC/aisc_mix.c
--- arbsrc_07_11_01_tgz_1/AISC/aisc_mix.c	Thu Nov 23 01:41:07 2000
+++ arb/AISC/aisc_mix.c	Thu Mar 21 12:31:06 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 
 #include "aisc.h"
 #include "aisc_proto.h"
diff -ruN arbsrc_07_11_01_tgz_1/AISC/aisc_var_ref.c arb/AISC/aisc_var_ref.c
--- arbsrc_07_11_01_tgz_1/AISC/aisc_var_ref.c	Thu Nov 23 01:41:07 2000
+++ arb/AISC/aisc_var_ref.c	Thu Mar 21 12:31:06 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "aisc.h"
 #include "aisc_proto.h"
 
diff -ruN arbsrc_07_11_01_tgz_1/AISC_COM/C/aisc_server.h arb/AISC_COM/C/aisc_server.h
--- arbsrc_07_11_01_tgz_1/AISC_COM/C/aisc_server.h	Thu Nov 23 01:41:07 2000
+++ arb/AISC_COM/C/aisc_server.h	Thu Mar 21 12:31:06 2002
@@ -7,7 +7,9 @@
 extern "C" {
 #endif
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 int aisc_make_sets(long *obj);	/* sets in a create request */
 int aisc_talking_get_index (int u, int o);
diff -ruN arbsrc_07_11_01_tgz_1/AISC_COM/C/client.c arb/AISC_COM/C/client.c
--- arbsrc_07_11_01_tgz_1/AISC_COM/C/client.c	Tue Jul 24 08:45:27 2001
+++ arb/AISC_COM/C/client.c	Thu Mar 21 12:31:06 2002
@@ -1,7 +1,9 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <unistd.h>
 #include <errno.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/AISC_COM/C/debug.c arb/AISC_COM/C/debug.c
--- arbsrc_07_11_01_tgz_1/AISC_COM/C/debug.c	Thu Nov 23 01:41:07 2000
+++ arb/AISC_COM/C/debug.c	Thu Mar 21 12:31:06 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <ad_varargs.h>
 #include <aisc_com.h>
 #include "client.h"
diff -ruN arbsrc_07_11_01_tgz_1/AISC_COM/C/server.c arb/AISC_COM/C/server.c
--- arbsrc_07_11_01_tgz_1/AISC_COM/C/server.c	Tue Jul 24 08:45:27 2001
+++ arb/AISC_COM/C/server.c	Thu Mar 21 12:31:06 2002
@@ -1,7 +1,9 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <unistd.h>
 #include <errno.h>
 #include <string.h>
@@ -24,7 +28,7 @@
 #  include <sysent.h>	/* c++ only for sun */
 # endif
 #else
-# if defined(HP) || defined(LINUX) || defined(DIGITAL)
+# if defined(HP) || defined(LINUX) || defined(DIGITAL) || defined(DARWIN)
 #  define SIG_PF void (*)(int)
 # endif
 #endif
diff -ruN arbsrc_07_11_01_tgz_1/AISC_COM/C/struct_man.c arb/AISC_COM/C/struct_man.c
--- arbsrc_07_11_01_tgz_1/AISC_COM/C/struct_man.c	Thu Dec 21 10:49:58 2000
+++ arb/AISC_COM/C/struct_man.c	Thu Mar 21 12:31:06 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include "aisc.h"
 
diff -ruN arbsrc_07_11_01_tgz_1/ALIV3/BI_helix.cxx arb/ALIV3/BI_helix.cxx
--- arbsrc_07_11_01_tgz_1/ALIV3/BI_helix.cxx	Thu Dec 21 10:49:58 2000
+++ arb/ALIV3/BI_helix.cxx	Thu Mar 21 12:31:08 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <ctype.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ALIV3/a3_bihelix.cxx arb/ALIV3/a3_bihelix.cxx
--- arbsrc_07_11_01_tgz_1/ALIV3/a3_bihelix.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ALIV3/a3_bihelix.cxx	Thu Mar 21 12:31:07 2002
@@ -6,8 +6,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <ctype.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include "a3_bihelix.hxx"
 
 // -----------------------------------------------------------------------------
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/EXAMPLES/write_all_species.c arb/ARBDB/EXAMPLES/write_all_species.c
--- arbsrc_07_11_01_tgz_1/ARBDB/EXAMPLES/write_all_species.c	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/EXAMPLES/write_all_species.c	Thu Mar 21 12:31:11 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 int main(int argc,char **argv)
 {
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/ad_core.c arb/ARBDB/ad_core.c
--- arbsrc_07_11_01_tgz_1/ARBDB/ad_core.c	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/ad_core.c	Thu Mar 21 12:31:08 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 
 /*#include "arbdb.h"*/
 #include "adlocal.h"
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/ad_load.c arb/ARBDB/ad_load.c
--- arbsrc_07_11_01_tgz_1/ARBDB/ad_load.c	Thu Apr  5 06:13:43 2001
+++ arb/ARBDB/ad_load.c	Thu Mar 21 12:31:09 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <errno.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <ctype.h>
 #include <sys/stat.h>
 #include <time.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/ad_save_load.c arb/ARBDB/ad_save_load.c
--- arbsrc_07_11_01_tgz_1/ARBDB/ad_save_load.c	Fri Mar 30 06:40:26 2001
+++ arb/ARBDB/ad_save_load.c	Thu Mar 21 12:31:09 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <errno.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <ctype.h>
 #include <sys/stat.h>
 #include <arpa/inet.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adcompr.c arb/ARBDB/adcompr.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adcompr.c	Fri Oct 26 10:15:54 2001
+++ arb/ARBDB/adcompr.c	Thu Mar 21 12:31:09 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <string.h>
 #include "adlocal.h"
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adhash.c arb/ARBDB/adhash.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adhash.c	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/adhash.c	Thu Mar 21 12:31:09 2002
@@ -4,7 +4,9 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <ctype.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adlang1.c arb/ARBDB/adlang1.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adlang1.c	Thu Oct 18 07:49:04 2001
+++ arb/ARBDB/adlang1.c	Thu Mar 21 12:31:09 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <unistd.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <ctype.h>
 
 #include "adlocal.h"
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adlmacros.h arb/ARBDB/adlmacros.h
--- arbsrc_07_11_01_tgz_1/ARBDB/adlmacros.h	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/adlmacros.h	Thu Mar 21 14:09:52 2002
@@ -18,7 +18,7 @@
 
 #define GB_DELETE(a)		if (a) GB_FREE(a); a = 0
 
-#if defined(HP) || defined(DIGITAL)
+#if defined(HP) || defined(DIGITAL) || defined(DARWIN)
 # undef GB_MEMALIGN
 # define GB_MEMALIGN(a,b) malloc(b)
 #endif
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/admalloc.c arb/ARBDB/admalloc.c
--- arbsrc_07_11_01_tgz_1/ARBDB/admalloc.c	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/admalloc.c	Thu Mar 21 12:31:09 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <limits.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/admath.c arb/ARBDB/admath.c
--- arbsrc_07_11_01_tgz_1/ARBDB/admath.c	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/admath.c	Thu Mar 21 12:31:09 2002
@@ -1,6 +1,8 @@
 #include <stdlib.h>
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <math.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adquery.c arb/ARBDB/adquery.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adquery.c	Fri Jun  1 03:15:00 2001
+++ arb/ARBDB/adquery.c	Thu Mar 21 12:31:10 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <ctype.h>
 
 #include "adlocal.h"
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adseqcompr.c arb/ARBDB/adseqcompr.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adseqcompr.c	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/adseqcompr.c	Thu Mar 21 12:31:10 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 
 #include <adlocal.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adsocket.c arb/ARBDB/adsocket.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adsocket.c	Thu Oct 18 07:49:04 2001
+++ arb/ARBDB/adsocket.c	Thu Mar 21 12:31:10 2002
@@ -5,7 +5,9 @@
 #include <sys/stat.h>
 #include <sys/time.h>
 #include <errno.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <memory.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adsort.c arb/ARBDB/adsort.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adsort.c	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/adsort.c	Thu Mar 21 12:31:10 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 
 #include "arbdb.h"
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adstring.c arb/ARBDB/adstring.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adstring.c	Fri Aug 31 05:27:52 2001
+++ arb/ARBDB/adstring.c	Thu Mar 21 12:31:10 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <ctype.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 
 #include "adlocal.h"
 #include "arbdbt.h"
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adsystem.c arb/ARBDB/adsystem.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adsystem.c	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB/adsystem.c	Thu Mar 21 12:31:10 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 
 #include <sys/types.h>
 #include <netinet/in.h>		/* hton ntoh */
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/adtools.c arb/ARBDB/adtools.c
--- arbsrc_07_11_01_tgz_1/ARBDB/adtools.c	Thu Oct 18 07:49:04 2001
+++ arb/ARBDB/adtools.c	Thu Mar 21 12:31:10 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <math.h>
 #include <assert.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB/arbdb.c arb/ARBDB/arbdb.c
--- arbsrc_07_11_01_tgz_1/ARBDB/arbdb.c	Tue Oct  2 03:28:27 2001
+++ arb/ARBDB/arbdb.c	Thu Mar 21 12:31:10 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <sys/types.h>
 #include <netinet/in.h>
 #include <rpc/types.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARBDBPP/adseq.cxx arb/ARBDBPP/adseq.cxx
--- arbsrc_07_11_01_tgz_1/ARBDBPP/adseq.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDBPP/adseq.cxx	Thu Mar 21 12:31:13 2002
@@ -7,7 +7,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <ctype.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARBDBPP/adt_edit.cxx arb/ARBDBPP/adt_edit.cxx
--- arbsrc_07_11_01_tgz_1/ARBDBPP/adt_edit.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDBPP/adt_edit.cxx	Thu Mar 21 12:31:13 2002
@@ -2,7 +2,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <arbdb.h>
 #include "arbdb++.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/ARBDBPP/adtali.cxx arb/ARBDBPP/adtali.cxx
--- arbsrc_07_11_01_tgz_1/ARBDBPP/adtali.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDBPP/adtali.cxx	Thu Mar 21 12:31:13 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include "adtools.hxx"
 
diff -ruN arbsrc_07_11_01_tgz_1/ARBDBPP/adtsequence.cxx arb/ARBDBPP/adtsequence.cxx
--- arbsrc_07_11_01_tgz_1/ARBDBPP/adtsequence.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDBPP/adtsequence.cxx	Thu Mar 21 12:31:13 2002
@@ -1,7 +1,9 @@
+#include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <string.h>
-#include <stdio.h>
 
 #include <arbdb.h>
 #include "arbdb++.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/AC_main.cxx arb/ARBDB_COMPRESS/AC_main.cxx
--- arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/AC_main.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB_COMPRESS/AC_main.cxx	Thu Mar 21 12:31:12 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/AC_sequence.cxx arb/ARBDB_COMPRESS/AC_sequence.cxx
--- arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/AC_sequence.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB_COMPRESS/AC_sequence.cxx	Thu Mar 21 12:31:12 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <ctype.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/AC_toys_n_tools.cxx arb/ARBDB_COMPRESS/AC_toys_n_tools.cxx
--- arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/AC_toys_n_tools.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB_COMPRESS/AC_toys_n_tools.cxx	Thu Mar 21 12:31:12 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <math.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/AC_tree.cxx arb/ARBDB_COMPRESS/AC_tree.cxx
--- arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/AC_tree.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB_COMPRESS/AC_tree.cxx	Thu Mar 21 12:31:12 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <math.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/DEBUG_tools.cxx arb/ARBDB_COMPRESS/DEBUG_tools.cxx
--- arbsrc_07_11_01_tgz_1/ARBDB_COMPRESS/DEBUG_tools.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARBDB_COMPRESS/DEBUG_tools.cxx	Thu Mar 21 12:31:12 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARB_GDE/GDE.cxx arb/ARB_GDE/GDE.cxx
--- arbsrc_07_11_01_tgz_1/ARB_GDE/GDE.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARB_GDE/GDE.cxx	Thu Mar 21 12:31:08 2002
@@ -4,7 +4,9 @@
 
 #include <arbdb.h>
 #include <arbdbt.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <aw_root.hxx>
 #include <aw_device.hxx>
 #include <aw_window.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_FileIO.cxx arb/ARB_GDE/GDE_FileIO.cxx
--- arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_FileIO.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARB_GDE/GDE_FileIO.cxx	Thu Mar 21 12:31:08 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_Genbank.cxx arb/ARB_GDE/GDE_Genbank.cxx
--- arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_Genbank.cxx	Wed Nov  7 10:51:33 2001
+++ arb/ARB_GDE/GDE_Genbank.cxx	Thu Mar 21 12:31:08 2002
@@ -1,6 +1,8 @@
 #include <sys/time.h>
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <time.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_HGLfile.cxx arb/ARB_GDE/GDE_HGLfile.cxx
--- arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_HGLfile.cxx	Wed Nov  7 10:51:33 2001
+++ arb/ARB_GDE/GDE_HGLfile.cxx	Thu Mar 21 12:31:08 2002
@@ -1,7 +1,9 @@
 #include <sys/time.h>
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <time.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_ParseMenu.cxx arb/ARB_GDE/GDE_ParseMenu.cxx
--- arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_ParseMenu.cxx	Wed Nov  7 08:57:40 2001
+++ arb/ARB_GDE/GDE_ParseMenu.cxx	Thu Mar 21 12:31:08 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <ctype.h>
 #include <assert.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_arbdb_io.cxx arb/ARB_GDE/GDE_arbdb_io.cxx
--- arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_arbdb_io.cxx	Thu Nov 23 01:41:07 2000
+++ arb/ARB_GDE/GDE_arbdb_io.cxx	Thu Mar 21 12:31:08 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_event.cxx arb/ARB_GDE/GDE_event.cxx
--- arbsrc_07_11_01_tgz_1/ARB_GDE/GDE_event.cxx	Fri Feb  9 12:15:43 2001
+++ arb/ARB_GDE/GDE_event.cxx	Thu Mar 21 12:31:08 2002
@@ -10,7 +10,9 @@
 //#include <xview/panel.h>
 #include <arbdb.h>
 #include <arbdbt.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <aw_root.hxx>
 #include <aw_device.hxx>
 #include <aw_window.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/AWDEMO/demo.cxx arb/AWDEMO/demo.cxx
--- arbsrc_07_11_01_tgz_1/AWDEMO/demo.cxx	Thu Nov 23 01:41:07 2000
+++ arb/AWDEMO/demo.cxx	Thu Mar 21 12:31:16 2002
@@ -6,7 +6,9 @@
 #include <aw_preset.hxx>
 #include <demo.hxx>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 AW_HEADER_MAIN;
--- arbsrc_07_11_01_tgz_1/AWT/AWT_codon_table.cxx	Thu Nov 23 01:41:07 2000
+++ AWT/AWT_codon_table.cxx	Thu Mar 21 19:09:57 2002
@@ -1,4 +1,6 @@
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <ctype.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/AWT/AWT_nds.cxx arb/AWT/AWT_nds.cxx
--- arbsrc_07_11_01_tgz_1/AWT/AWT_nds.cxx	Wed May 23 08:45:25 2001
+++ arb/AWT/AWT_nds.cxx	Thu Mar 21 12:31:17 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <aw_root.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/AWT/AWT_query_and_functions.cxx arb/AWT/AWT_query_and_functions.cxx
--- arbsrc_07_11_01_tgz_1/AWT/AWT_query_and_functions.cxx	Fri Sep  7 06:37:25 2001
+++ arb/AWT/AWT_query_and_functions.cxx	Thu Mar 21 12:31:18 2002
@@ -3,7 +3,9 @@
 #include <unistd.h>
 #include <time.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <ctype.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/AWT/AWT_sel_boxes.cxx arb/AWT/AWT_sel_boxes.cxx
--- arbsrc_07_11_01_tgz_1/AWT/AWT_sel_boxes.cxx	Tue Oct  2 03:28:27 2001
+++ arb/AWT/AWT_sel_boxes.cxx	Thu Mar 21 12:31:18 2002
@@ -3,7 +3,9 @@
 #include <unistd.h>
 #include <time.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/AWT/AWT_species_sel_box.cxx arb/AWT/AWT_species_sel_box.cxx
--- arbsrc_07_11_01_tgz_1/AWT/AWT_species_sel_box.cxx	Fri Sep  7 06:37:25 2001
+++ arb/AWT/AWT_species_sel_box.cxx	Thu Mar 21 12:31:18 2002
@@ -3,7 +3,9 @@
 #include <unistd.h>
 #include <time.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/AWT/AWT_tree.cxx arb/AWT/AWT_tree.cxx
--- arbsrc_07_11_01_tgz_1/AWT/AWT_tree.cxx	Fri Feb  9 12:15:43 2001
+++ arb/AWT/AWT_tree.cxx	Thu Mar 21 12:31:18 2002
@@ -2,7 +2,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <math.h>
 #include <string.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/AWT/BI_helix.cxx arb/AWT/BI_helix.cxx
--- arbsrc_07_11_01_tgz_1/AWT/BI_helix.cxx	Thu Nov 23 01:41:07 2000
+++ arb/AWT/BI_helix.cxx	Thu Mar 21 12:31:19 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <ctype.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/AWTC/AWTC_ClustalV.cxx arb/AWTC/AWTC_ClustalV.cxx
--- arbsrc_07_11_01_tgz_1/AWTC/AWTC_ClustalV.cxx	Thu Nov 23 01:41:07 2000
+++ arb/AWTC/AWTC_ClustalV.cxx	Thu Mar 21 12:44:33 2002
@@ -1,9 +1,11 @@
 #include <ctype.h>
 #include <stdlib.h>
 #include <memory.h>
+#include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
-#include <stdio.h>
 #include <limits.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/AWTC/AWTC_rename.cxx arb/AWTC/AWTC_rename.cxx
--- arbsrc_07_11_01_tgz_1/AWTC/AWTC_rename.cxx	Fri Jun  1 03:15:00 2001
+++ arb/AWTC/AWTC_rename.cxx	Thu Mar 21 12:31:19 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 #include <aw_root.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/AWTI/AWTI_export.cxx arb/AWTI/AWTI_export.cxx
--- arbsrc_07_11_01_tgz_1/AWTI/AWTI_export.cxx	Thu Oct 18 07:49:04 2001
+++ arb/AWTI/AWTI_export.cxx	Thu Mar 21 12:31:20 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <unistd.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 #include <aw_root.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/AWTI/AWTI_import.cxx arb/AWTI/AWTI_import.cxx
--- arbsrc_07_11_01_tgz_1/AWTI/AWTI_import.cxx	Fri Aug 31 05:27:52 2001
+++ arb/AWTI/AWTI_import.cxx	Thu Mar 21 12:31:20 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <unistd.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <limits.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/CAT/CAT_tree.cxx arb/CAT/CAT_tree.cxx
--- arbsrc_07_11_01_tgz_1/CAT/CAT_tree.cxx	Thu Nov 23 01:41:07 2000
+++ arb/CAT/CAT_tree.cxx	Thu Mar 21 12:31:21 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/DIST/PH_matr.cxx arb/DIST/PH_matr.cxx
--- arbsrc_07_11_01_tgz_1/DIST/PH_matr.cxx	Fri Feb  9 12:15:43 2001
+++ arb/DIST/PH_matr.cxx	Thu Mar 21 12:31:22 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <math.h>
diff -ruN arbsrc_07_11_01_tgz_1/DIST/PH_mldist.cxx arb/DIST/PH_mldist.cxx
--- arbsrc_07_11_01_tgz_1/DIST/PH_mldist.cxx	Thu Nov 23 01:41:07 2000
+++ arb/DIST/PH_mldist.cxx	Thu Mar 21 12:31:22 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <math.h>
diff -ruN arbsrc_07_11_01_tgz_1/DIST/PH_protdist.cxx arb/DIST/PH_protdist.cxx
--- arbsrc_07_11_01_tgz_1/DIST/PH_protdist.cxx	Thu Nov 23 01:41:07 2000
+++ arb/DIST/PH_protdist.cxx	Thu Mar 21 12:31:22 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <math.h>
diff -ruN arbsrc_07_11_01_tgz_1/DIST/PH_save_matr.cxx arb/DIST/PH_save_matr.cxx
--- arbsrc_07_11_01_tgz_1/DIST/PH_save_matr.cxx	Thu Nov 23 01:41:07 2000
+++ arb/DIST/PH_save_matr.cxx	Thu Mar 21 12:31:22 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <string.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/DIST/distanalyse.cxx arb/DIST/distanalyse.cxx
--- arbsrc_07_11_01_tgz_1/DIST/distanalyse.cxx	Thu Nov 23 01:41:07 2000
+++ arb/DIST/distanalyse.cxx	Thu Mar 21 12:31:22 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <math.h>
diff -ruN arbsrc_07_11_01_tgz_1/EDIT/edit.cxx arb/EDIT/edit.cxx
--- arbsrc_07_11_01_tgz_1/EDIT/edit.cxx	Thu Jun  7 02:16:35 2001
+++ arb/EDIT/edit.cxx	Thu Mar 21 12:31:23 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h> // wegen exit();
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <aw_root.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/EDIT4/ED4_base.cxx arb/EDIT4/ED4_base.cxx
--- arbsrc_07_11_01_tgz_1/EDIT4/ED4_base.cxx	Thu Jan 11 04:12:19 2001
+++ arb/EDIT4/ED4_base.cxx	Thu Mar 21 12:31:23 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <assert.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/EDIT4/ED4_edit_string.cxx arb/EDIT4/ED4_edit_string.cxx
--- arbsrc_07_11_01_tgz_1/EDIT4/ED4_edit_string.cxx	Thu Oct 18 07:49:04 2001
+++ arb/EDIT4/ED4_edit_string.cxx	Thu Mar 21 12:31:23 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <string.h>
 #include <ctype.h>
diff -ruN arbsrc_07_11_01_tgz_1/EDIT4/ED4_main.cxx arb/EDIT4/ED4_main.cxx
--- arbsrc_07_11_01_tgz_1/EDIT4/ED4_main.cxx	Fri Aug 31 05:27:52 2001
+++ arb/EDIT4/ED4_main.cxx	Thu Mar 21 12:31:23 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 
 #include <arbdb.h>
 #include <arbdbt.h>
diff -ruN arbsrc_07_11_01_tgz_1/EDIT4/ED4_manager.cxx arb/EDIT4/ED4_manager.cxx
--- arbsrc_07_11_01_tgz_1/EDIT4/ED4_manager.cxx	Thu Jan 11 04:12:19 2001
+++ arb/EDIT4/ED4_manager.cxx	Thu Mar 21 12:31:23 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <math.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/EDIT4/ED4_members.cxx arb/EDIT4/ED4_members.cxx
--- arbsrc_07_11_01_tgz_1/EDIT4/ED4_members.cxx	Thu Nov 23 01:41:07 2000
+++ arb/EDIT4/ED4_members.cxx	Thu Mar 21 12:31:23 2002
@@ -1,8 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include <arbdb.h>
 #include <aw_root.hxx>
 #include <aw_window.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/EDIT4/ED4_terminal.cxx arb/EDIT4/ED4_terminal.cxx
--- arbsrc_07_11_01_tgz_1/EDIT4/ED4_terminal.cxx	Thu Jan 11 04:12:20 2001
+++ arb/EDIT4/ED4_terminal.cxx	Thu Mar 21 12:42:34 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <assert.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/EDIT4/ED4_text_terminals.cxx arb/EDIT4/ED4_text_terminals.cxx
--- arbsrc_07_11_01_tgz_1/EDIT4/ED4_text_terminals.cxx	Thu Dec 21 10:49:58 2000
+++ arb/EDIT4/ED4_text_terminals.cxx	Thu Mar 21 12:31:24 2002
@@ -2,8 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/BasicDisplay.c arb/GDE/CORE/BasicDisplay.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/BasicDisplay.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/BasicDisplay.c	Thu Mar 21 14:40:43 2002
@@ -1,4 +1,6 @@
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <X11/X.h>
 #include <X11/Xlib.h>
 #include <xview/xview.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/BuiltIn.c arb/GDE/CORE/BuiltIn.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/BuiltIn.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/BuiltIn.c	Thu Mar 21 12:42:36 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <xview/xview.h>
 #include <xview/scrollbar.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/CutCopyPaste.c arb/GDE/CORE/CutCopyPaste.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/CutCopyPaste.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/CutCopyPaste.c	Thu Mar 21 12:42:36 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <xview/xview.h>
 #include <xview/scrollbar.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/DrawNA.c arb/GDE/CORE/DrawNA.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/DrawNA.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/DrawNA.c	Thu Mar 21 12:42:36 2002
@@ -1,4 +1,6 @@
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <X11/X.h>
 #include <X11/Xlib.h>
 #include <xview/xview.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/EventHandler.c arb/GDE/CORE/EventHandler.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/EventHandler.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/EventHandler.c	Thu Mar 21 12:42:36 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <xview/xview.h>
 #include <xview/panel.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/FileIO.c arb/GDE/CORE/FileIO.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/FileIO.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/FileIO.c	Thu Mar 21 12:42:36 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <xview/xview.h>
 #include <xview/notice.h>
 #include <xview/panel.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/Free.c arb/GDE/CORE/Free.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/Free.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/Free.c	Thu Mar 21 12:42:36 2002
@@ -5,7 +5,9 @@
 #include <xview/window.h>                         
 #include <xview/icon.h>                         
 #include <pixrect/pixrect.h>                         
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "menudefs.h"
 #include "defines.h"
 
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/Genbank.c arb/GDE/CORE/Genbank.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/Genbank.c	Wed Nov  7 10:51:33 2001
+++ arb/GDE/CORE/Genbank.c	Thu Mar 21 12:42:36 2002
@@ -1,6 +1,8 @@
 #include <sys/time.h>
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <time.h>
 #include <xview/xview.h>
 #include <xview/panel.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/HGLfile.c arb/GDE/CORE/HGLfile.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/HGLfile.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/HGLfile.c	Thu Mar 21 12:42:36 2002
@@ -1,6 +1,8 @@
 #include <sys/time.h>
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <xview/xview.h>
 #include <xview/panel.h>
 #include "menudefs.h"
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/ParseMenu.c arb/GDE/CORE/ParseMenu.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/ParseMenu.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/ParseMenu.c	Thu Mar 21 12:42:37 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <xview/xview.h>
 #include <xview/panel.h>
 #include "menudefs.h"
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/Scroll.c arb/GDE/CORE/Scroll.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/Scroll.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/Scroll.c	Thu Mar 21 12:42:37 2002
@@ -1,4 +1,6 @@
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <X11/X.h>
 #include <X11/Xlib.h>
 #include <xview/xview.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/CORE/main.c arb/GDE/CORE/main.c
--- arbsrc_07_11_01_tgz_1/GDE/CORE/main.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/CORE/main.c	Thu Mar 21 12:42:36 2002
@@ -5,7 +5,9 @@
 #include <xview/window.h>                         
 #include <xview/icon.h>                         
 #include <pixrect/pixrect.h>                         
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "menudefs.h"
 #include "defines.h"
 #include "globals.h"
diff -ruN arbsrc_07_11_01_tgz_1/GDE/HGL_SRC/Alloc.c arb/GDE/HGL_SRC/Alloc.c
--- arbsrc_07_11_01_tgz_1/GDE/HGL_SRC/Alloc.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/HGL_SRC/Alloc.c	Thu Mar 21 12:31:26 2002
@@ -1,7 +1,8 @@
 #include <stdio.h>
 #include "global_defs.h"
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 /*
 *	Alloc.c
 *	Memory functions for Harvard Genome Laboratory.
diff -ruN arbsrc_07_11_01_tgz_1/GDE/HGL_SRC/MakeCons.c arb/GDE/HGL_SRC/MakeCons.c
--- arbsrc_07_11_01_tgz_1/GDE/HGL_SRC/MakeCons.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/HGL_SRC/MakeCons.c	Thu Mar 21 12:42:37 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "global_defs.h"
 
 main(ac,av)
diff -ruN arbsrc_07_11_01_tgz_1/GDE/HGL_SRC/Translate.c arb/GDE/HGL_SRC/Translate.c
--- arbsrc_07_11_01_tgz_1/GDE/HGL_SRC/Translate.c	Thu Aug 16 00:09:28 2001
+++ arb/GDE/HGL_SRC/Translate.c	Thu Mar 21 12:42:37 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include "global_defs.h"
 
diff -ruN arbsrc_07_11_01_tgz_1/GDE/HGL_SRC/global_defs.h arb/GDE/HGL_SRC/global_defs.h
--- arbsrc_07_11_01_tgz_1/GDE/HGL_SRC/global_defs.h	Thu Nov 23 01:41:08 2000
+++ arb/GDE/HGL_SRC/global_defs.h	Thu Mar 21 12:42:37 2002
@@ -2,7 +2,9 @@
 #include <stdio.h>
 #include <limits.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <time.h>
 
 #define const                /* const is not defined in non-ansi C,
diff -ruN arbsrc_07_11_01_tgz_1/GDE/LOOPTOOL/Draw.c arb/GDE/LOOPTOOL/Draw.c
--- arbsrc_07_11_01_tgz_1/GDE/LOOPTOOL/Draw.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/LOOPTOOL/Draw.c	Thu Mar 21 12:42:37 2002
@@ -4,7 +4,9 @@
 #include <xview/cursor.h>
 #include <xview/panel.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "loop.h"
 #include "globals.h"
 
diff -ruN arbsrc_07_11_01_tgz_1/GDE/LOOPTOOL/ReadData.c arb/GDE/LOOPTOOL/ReadData.c
--- arbsrc_07_11_01_tgz_1/GDE/LOOPTOOL/ReadData.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/LOOPTOOL/ReadData.c	Thu Mar 21 12:42:38 2002
@@ -2,7 +2,9 @@
 #include <xview/canvas.h>
 #include <stdio.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "loop.h"
 #include "globals.h"
 
diff -ruN arbsrc_07_11_01_tgz_1/GDE/LOOPTOOL/Window.c arb/GDE/LOOPTOOL/Window.c
--- arbsrc_07_11_01_tgz_1/GDE/LOOPTOOL/Window.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/LOOPTOOL/Window.c	Thu Mar 21 12:42:38 2002
@@ -6,7 +6,9 @@
 #include <xview/scrollbar.h>
 #include <xview/panel.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <math.h>
 #include "loop.h"
 #include "globals.h"
diff -ruN arbsrc_07_11_01_tgz_1/GDE/LOOPTOOL/WriteData.c arb/GDE/LOOPTOOL/WriteData.c
--- arbsrc_07_11_01_tgz_1/GDE/LOOPTOOL/WriteData.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/LOOPTOOL/WriteData.c	Thu Mar 21 12:42:38 2002
@@ -3,7 +3,9 @@
 #include <xview/canvas.h>
 #include <stdio.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "loop.h"
 #include "globals.h"
 
diff -ruN arbsrc_07_11_01_tgz_1/GDE/MOLPHY/prot_tml.h arb/GDE/MOLPHY/prot_tml.h
--- arbsrc_07_11_01_tgz_1/GDE/MOLPHY/prot_tml.h	Thu Nov 23 01:41:08 2000
+++ arb/GDE/MOLPHY/prot_tml.h	Thu Mar 21 14:53:22 2002
@@ -24,7 +24,7 @@
 void convseq P_((imatrix seqconint, int maxspc, int numptrn));
 void getfreqepm P_((cmatrix seqchar, double *freqemp, int maxspc, int maxsite));
 void convfreq P_((double *freqemp));
-void radixsort P_((cmatrix seqchar, ivector alias, int maxspc, int maxsite, int *numptrn));
+void aradixsort P_((cmatrix seqchar, ivector alias, int maxspc, int maxsite, int *numptrn));
 void condenceseq P_((cmatrix seqchar, ivector alias, imatrix seqconint, ivector weight, int maxspc, int maxsite, int numptrn));
 void getnumsites P_((imatrix seqconint, ivector numsites, ivector weight, int numspc, int numptrn));
 void prcondenceseq P_((char **identif, imatrix seqconint, ivector weight, int numspc, int numsite, int numptrn));
diff -ruN arbsrc_07_11_01_tgz_1/GDE/MOLPHY/protml.c arb/GDE/MOLPHY/protml.c
--- arbsrc_07_11_01_tgz_1/GDE/MOLPHY/protml.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/MOLPHY/protml.c	Thu Mar 21 14:49:42 2002
@@ -623,7 +623,7 @@
 	if (Debug_optn) prsequence(ofp, Identif, Seqchar, Maxspc, Maxsite);
 	getfreqepm(Seqchar, Freqemp, Maxspc, Maxsite);
 	alias = new_ivector(Maxsite);
-	radixsort(Seqchar, alias, Maxspc, Maxsite, &Numptrn);
+	aradixsort(Seqchar, alias, Maxspc, Maxsite, &Numptrn);
 	Seqconint = new_imatrix(Maxspc, Numptrn);
 	Weight = new_ivector(Numptrn);
 	condenceseq(Seqchar, alias, Seqconint, Weight, Maxspc, Maxsite, Numptrn);
diff -ruN arbsrc_07_11_01_tgz_1/GDE/MOLPHY/seqproc.c arb/GDE/MOLPHY/seqproc.c
--- arbsrc_07_11_01_tgz_1/GDE/MOLPHY/seqproc.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/MOLPHY/seqproc.c	Thu Mar 21 14:46:33 2002
@@ -94,7 +94,7 @@
 
 
 void
-radixsort(seqchar, alias, maxspc, maxsite, numptrn)
+aradixsort(seqchar, alias, maxspc, maxsite, numptrn)
 cmatrix seqchar;
 ivector alias;
 int maxspc, maxsite;
diff -ruN arbsrc_07_11_01_tgz_1/GDE/SUPPORT/Flatio.c arb/GDE/SUPPORT/Flatio.c
--- arbsrc_07_11_01_tgz_1/GDE/SUPPORT/Flatio.c	Thu Nov 23 01:41:08 2000
+++ arb/GDE/SUPPORT/Flatio.c	Thu Mar 21 14:37:10 2002
@@ -1,4 +1,6 @@
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <stdio.h>
 #define TRUE 1
 #define FALSE 0
diff -ruN arbsrc_07_11_01_tgz_1/GDE/SUPPORT/lsadt.c arb/GDE/SUPPORT/lsadt.c
--- arbsrc_07_11_01_tgz_1/GDE/SUPPORT/lsadt.c	Thu Nov 23 01:41:09 2000
+++ arb/GDE/SUPPORT/lsadt.c	Thu Mar 21 14:53:35 2002
@@ -33,7 +33,13 @@
 */
 #include <stdio.h>
 #include <math.h>
+#ifdef DARWIN
+#include <float.h>
+#define MAXDOUBLE DBL_MAX
+#define MINDOUBLE DBL_MIN
+#else
 #include <values.h>
+#endif
 #include <ctype.h>
 #include <fcntl.h>
 #include <errno.h>
diff -ruN arbsrc_07_11_01_tgz_1/GDE/TREEPUZZLE/src/ml.h arb/GDE/TREEPUZZLE/src/ml.h
--- arbsrc_07_11_01_tgz_1/GDE/TREEPUZZLE/src/ml.h	Mon May  7 06:30:21 2001
+++ arb/GDE/TREEPUZZLE/src/ml.h	Thu Mar 21 14:44:32 2002
@@ -173,7 +173,7 @@
 /* function prototypes of all ml function */
 
 void convfreq(dvector);
-void radixsort(cmatrix, ivector, int, int, int *);
+void aradixsort(cmatrix, ivector, int, int, int *);
 void condenceseq(cmatrix, ivector, cmatrix, ivector, int, int, int);
 void countconstantsites(cmatrix, ivector, int, int, int *, int*);
 void evaluateseqs(void);
diff -ruN arbsrc_07_11_01_tgz_1/GDE/TREEPUZZLE/src/ml1.c arb/GDE/TREEPUZZLE/src/ml1.c
--- arbsrc_07_11_01_tgz_1/GDE/TREEPUZZLE/src/ml1.c	Mon May  7 06:30:21 2001
+++ arb/GDE/TREEPUZZLE/src/ml1.c	Thu Mar 21 14:43:00 2002
@@ -78,7 +78,7 @@
 }
 
 /* sort site patters of original input data */
-void radixsort(cmatrix seqchar, ivector ali, int maxspc, int maxsite,
+void aradixsort(cmatrix seqchar, ivector ali, int maxspc, int maxsite,
 	int *numptrn)
 {
 	int i, j, k, l, n, pass;
@@ -196,7 +196,7 @@
 
 	convfreq(Freqtpm); /* make all frequencies slightly different */
 	ali = new_ivector(Maxsite);
-	radixsort(Seqchar, ali, Maxspc, Maxsite, &Numptrn);
+	aradixsort(Seqchar, ali, Maxspc, Maxsite, &Numptrn);
 	Seqpat = new_cmatrix(Maxspc, Numptrn);
 	constpat = new_ivector(Numptrn);
 	Weight = new_ivector(Numptrn);
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_aligner.hxx arb/NALIGNER/ali_aligner.hxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_aligner.hxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_aligner.hxx	Thu Mar 21 14:21:47 2002
@@ -3,8 +3,9 @@
 #ifndef _ALI_ALIGNER_INC_
 #define _ALI_ALIGNER_INC_
 
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include "ali_solution.hxx"
 #include "ali_tstack.hxx"
 #include "ali_tlist.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_pathmap.cxx arb/NALIGNER/ali_pathmap.cxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_pathmap.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_pathmap.cxx	Thu Mar 21 14:24:17 2002
@@ -1,5 +1,7 @@
 
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <stdlib.h>
 
 #include "ali_pathmap.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_postree.cxx arb/NALIGNER/ali_postree.cxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_postree.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_postree.cxx	Thu Mar 21 12:32:03 2002
@@ -1,6 +1,7 @@
 
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include "ali_misc.hxx"
 #include "ali_tlist.hxx"
 #include "ali_postree.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_postree.hxx arb/NALIGNER/ali_postree.hxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_postree.hxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_postree.hxx	Thu Mar 21 12:32:03 2002
@@ -4,8 +4,9 @@
 #define _ALI_POSTREE_INC_
 
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include "ali_misc.hxx"
 #include "ali_tlist.hxx"
 #include "ali_tstack.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_profile.cxx arb/NALIGNER/ali_profile.cxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_profile.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_profile.cxx	Thu Mar 21 14:22:25 2002
@@ -1,6 +1,8 @@
 
 #include <ctype.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <stdlib.h>
 
 #include "ali_misc.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_sequence.cxx arb/NALIGNER/ali_sequence.cxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_sequence.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_sequence.cxx	Thu Mar 21 14:20:51 2002
@@ -2,8 +2,9 @@
 
 #include <string.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include "ali_misc.hxx"
 #include "ali_sequence.hxx"
 
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_sequence.hxx arb/NALIGNER/ali_sequence.hxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_sequence.hxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_sequence.hxx	Thu Mar 21 14:23:24 2002
@@ -3,8 +3,9 @@
 #define _ALI_SEQUENCE_INC_
 
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include "ali_misc.hxx"
 
 
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_solution.cxx arb/NALIGNER/ali_solution.cxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_solution.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_solution.cxx	Thu Mar 21 14:23:49 2002
@@ -1,6 +1,6 @@
-
-
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <stdlib.h>
 #include "ali_misc.hxx"
 #include "ali_solution.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_tarray.hxx arb/NALIGNER/ali_tarray.hxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_tarray.hxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_tarray.hxx	Thu Mar 21 12:32:04 2002
@@ -3,8 +3,9 @@
 #ifndef _ALI_TARRAY_INC_
 #define _ALI_TARRAY_INC_
 
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include "ali_misc.hxx"
 #include "ali_tlist.hxx"
 
diff -ruN arbsrc_07_11_01_tgz_1/NALIGNER/ali_tstack.hxx arb/NALIGNER/ali_tstack.hxx
--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_tstack.hxx	Thu Nov 23 01:41:11 2000
+++ arb/NALIGNER/ali_tstack.hxx	Thu Mar 21 12:43:15 2002
@@ -3,7 +3,9 @@
 #ifndef _ALI_TSTACK_INC_
 #define _ALI_TSTACK_INC_
 
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "ali_misc.hxx"
 
 template<class T>
diff -ruN arbsrc_07_11_01_tgz_1/NAMES/names_client.c arb/NAMES/names_client.c
--- arbsrc_07_11_01_tgz_1/NAMES/names_client.c	Thu Dec 21 10:49:59 2000
+++ arb/NAMES/names_client.c	Thu Mar 21 12:43:15 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <names_client.h>
 #include <arbdb.h>
 #include <arbdbt.h>
diff -ruN arbsrc_07_11_01_tgz_1/NTREE/AP_consensus.cxx arb/NTREE/AP_consensus.cxx
--- arbsrc_07_11_01_tgz_1/NTREE/AP_consensus.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NTREE/AP_consensus.cxx	Thu Mar 21 12:35:33 2002
@@ -50,7 +50,9 @@
 #include <string.h>
 #include <arbdb.h>
 #include <arbdbt.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <aw_root.hxx>
 #include <aw_device.hxx>
 #include <aw_window.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/NTREE/AP_cprofile.cxx arb/NTREE/AP_cprofile.cxx
--- arbsrc_07_11_01_tgz_1/NTREE/AP_cprofile.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NTREE/AP_cprofile.cxx	Thu Mar 21 12:36:40 2002
@@ -43,7 +43,9 @@
 #include <iostream.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <math.h>
 #include <arbdb.h>
 #include <arbdbt.h>
diff -ruN arbsrc_07_11_01_tgz_1/NTREE/AP_pos_var_pars.cxx arb/NTREE/AP_pos_var_pars.cxx
--- arbsrc_07_11_01_tgz_1/NTREE/AP_pos_var_pars.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NTREE/AP_pos_var_pars.cxx	Thu Mar 21 12:43:17 2002
@@ -2,7 +2,9 @@
 #include <stdio.h>
 #include <ctype.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <math.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/NTREE/ETC_check_gcg.cxx arb/NTREE/ETC_check_gcg.cxx
--- arbsrc_07_11_01_tgz_1/NTREE/ETC_check_gcg.cxx	Thu Aug 16 00:09:29 2001
+++ arb/NTREE/ETC_check_gcg.cxx	Thu Mar 21 12:36:04 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 #include <aw_root.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/NTREE/NT_sort.cxx arb/NTREE/NT_sort.cxx
--- arbsrc_07_11_01_tgz_1/NTREE/NT_sort.cxx	Fri Mar 30 06:40:28 2001
+++ arb/NTREE/NT_sort.cxx	Thu Mar 21 12:32:07 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 #include <aw_root.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/NTREE/ad_ali.cxx arb/NTREE/ad_ali.cxx
--- arbsrc_07_11_01_tgz_1/NTREE/ad_ali.cxx	Thu Nov 23 01:41:11 2000
+++ arb/NTREE/ad_ali.cxx	Thu Mar 21 12:43:16 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <aw_root.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/NTREE/ad_ext.cxx arb/NTREE/ad_ext.cxx
--- arbsrc_07_11_01_tgz_1/NTREE/ad_ext.cxx	Fri Mar 30 06:40:28 2001
+++ arb/NTREE/ad_ext.cxx	Thu Mar 21 12:43:16 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/NTREE/ad_trees.cxx arb/NTREE/ad_trees.cxx
--- arbsrc_07_11_01_tgz_1/NTREE/ad_trees.cxx	Thu Nov 23 01:41:12 2000
+++ arb/NTREE/ad_trees.cxx	Thu Mar 21 12:32:06 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_PT.cxx arb/ORS_CGI/ORS_C_PT.cxx
--- arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_PT.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_CGI/ORS_C_PT.cxx	Thu Mar 21 12:43:18 2002
@@ -8,7 +8,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_java.cxx arb/ORS_CGI/ORS_C_java.cxx
--- arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_java.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_CGI/ORS_C_java.cxx	Thu Mar 21 12:43:18 2002
@@ -9,7 +9,9 @@
 #include <stdio.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_lib.cxx arb/ORS_CGI/ORS_C_lib.cxx
--- arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_lib.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_CGI/ORS_C_lib.cxx	Thu Mar 21 12:43:18 2002
@@ -8,7 +8,9 @@
 #include <stdlib.h>
 #include <unistd.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_main.cxx arb/ORS_CGI/ORS_C_main.cxx
--- arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_main.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_CGI/ORS_C_main.cxx	Thu Mar 21 12:43:18 2002
@@ -10,7 +10,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_probe.cxx arb/ORS_CGI/ORS_C_probe.cxx
--- arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_probe.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_CGI/ORS_C_probe.cxx	Thu Mar 21 12:43:18 2002
@@ -9,7 +9,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_scripts.cxx arb/ORS_CGI/ORS_C_scripts.cxx
--- arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_scripts.cxx	Tue Jul 24 08:45:29 2001
+++ arb/ORS_CGI/ORS_C_scripts.cxx	Thu Mar 21 12:43:18 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 # include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <ctype.h>
 #include <errno.h>
diff -ruN arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_user.cxx arb/ORS_CGI/ORS_C_user.cxx
--- arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_C_user.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_CGI/ORS_C_user.cxx	Thu Mar 21 12:43:18 2002
@@ -9,7 +9,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_lib.cxx arb/ORS_CGI/ORS_lib.cxx
--- arbsrc_07_11_01_tgz_1/ORS_CGI/ORS_lib.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_CGI/ORS_lib.cxx	Thu Mar 21 12:43:18 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <unistd.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 #include <time.h>

--- arbsrc_07_11_01_tgz_1/ORS_COM/ORS_lib.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_COM/ORS_lib.cxx	Thu Mar 21 12:43:19 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 #include <time.h>
diff -ruN arbsrc_07_11_01_tgz_1/ORS_SERVER/ORS_S_probedb.cxx arb/ORS_SERVER/ORS_S_probedb.cxx
--- arbsrc_07_11_01_tgz_1/ORS_SERVER/ORS_S_probedb.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_SERVER/ORS_S_probedb.cxx	Thu Mar 21 12:43:20 2002
@@ -11,7 +11,9 @@
 #include <stdlib.h>
 #include <memory.h>
 
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <math.h>
 
 #include <ors_lib.h>
diff -ruN arbsrc_07_11_01_tgz_1/ORS_SERVER/ORS_lib.cxx arb/ORS_SERVER/ORS_lib.cxx
--- arbsrc_07_11_01_tgz_1/ORS_SERVER/ORS_lib.cxx	Thu Nov 23 01:41:12 2000
+++ arb/ORS_SERVER/ORS_lib.cxx	Thu Mar 21 12:43:19 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 #include <time.h>
diff -ruN arbsrc_07_11_01_tgz_1/PARSIMONY/AP_main.cxx arb/PARSIMONY/AP_main.cxx
--- arbsrc_07_11_01_tgz_1/PARSIMONY/AP_main.cxx	Thu Nov 23 01:41:12 2000
+++ arb/PARSIMONY/AP_main.cxx	Thu Mar 21 12:43:20 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <iostream.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <math.h>
 #include <string.h>
diff -ruN arbsrc_07_11_01_tgz_1/PARSIMONY/AP_tree_nlen.cxx arb/PARSIMONY/AP_tree_nlen.cxx
--- arbsrc_07_11_01_tgz_1/PARSIMONY/AP_tree_nlen.cxx	Thu Nov 23 01:41:12 2000
+++ arb/PARSIMONY/AP_tree_nlen.cxx	Thu Mar 21 14:18:00 2002
@@ -1,5 +1,8 @@
 #include <stdio.h>
+#include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <iostream.h>
 #include <math.h>
diff -ruN arbsrc_07_11_01_tgz_1/PARSIMONY/GA_genetic.cxx arb/PARSIMONY/GA_genetic.cxx
--- arbsrc_07_11_01_tgz_1/PARSIMONY/GA_genetic.cxx	Thu Nov 23 01:41:12 2000
+++ arb/PARSIMONY/GA_genetic.cxx	Thu Mar 21 12:43:20 2002
@@ -4,7 +4,9 @@
 #include <string.h>
 #include <stdio.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <iostream.h>
 #include "AP_buffer.hxx"
 #include "parsimony.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/PARSIMONY/GA_main.cxx arb/PARSIMONY/GA_main.cxx
--- arbsrc_07_11_01_tgz_1/PARSIMONY/GA_main.cxx	Thu Nov 23 01:41:12 2000
+++ arb/PARSIMONY/GA_main.cxx	Thu Mar 21 12:43:20 2002
@@ -4,7 +4,9 @@
 #include <string.h>
 #include <stdio.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <iostream.h>
 #include "AP_buffer.hxx"
 #include "parsimony.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/PARSIMONY/GA_window.cxx arb/PARSIMONY/GA_window.cxx
--- arbsrc_07_11_01_tgz_1/PARSIMONY/GA_window.cxx	Thu Nov 23 01:41:12 2000
+++ arb/PARSIMONY/GA_window.cxx	Thu Mar 21 12:43:20 2002
@@ -12,7 +12,9 @@
 #include <aw_window.hxx>
 #include <aw_display.hxx>
 #include <awt.hxx>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include "AP_buffer.hxx"
 #include "parsimony.hxx"
 #include "ap_tree_nlen.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/PARSIMONY/PARS_klprops.cxx arb/PARSIMONY/PARS_klprops.cxx
--- arbsrc_07_11_01_tgz_1/PARSIMONY/PARS_klprops.cxx	Thu Nov 23 01:41:12 2000
+++ arb/PARSIMONY/PARS_klprops.cxx	Thu Mar 21 12:43:20 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/PARSIMONY/PARS_main.cxx arb/PARSIMONY/PARS_main.cxx
--- arbsrc_07_11_01_tgz_1/PARSIMONY/PARS_main.cxx	Fri Jul  6 02:36:33 2001
+++ arb/PARSIMONY/PARS_main.cxx	Thu Mar 21 12:43:20 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <iostream.h>
 #include <limits.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/PHYLO/include.hxx arb/PHYLO/include.hxx
--- arbsrc_07_11_01_tgz_1/PHYLO/include.hxx	Thu Nov 23 01:41:15 2000
+++ arb/PHYLO/include.hxx	Thu Mar 21 12:43:29 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <iostream.h>
 #include <math.h>
diff -ruN arbsrc_07_11_01_tgz_1/PRIMER_DESIGN/primer_design.cxx arb/PRIMER_DESIGN/primer_design.cxx
--- arbsrc_07_11_01_tgz_1/PRIMER_DESIGN/primer_design.cxx	Thu Oct 18 07:49:07 2001
+++ arb/PRIMER_DESIGN/primer_design.cxx	Thu Mar 21 12:51:09 2002
@@ -242,9 +242,13 @@
             PD->run(0);
 #endif
         }
+#ifdef DARWIN
+		// This seems to generate an internal compiler error with gcc 2.95 on OSX
+#else
         catch (string& s) {
             error = GBS_global_string(s.c_str());
         }
+#endif
         catch (...) {
             error = "Unknown error (maybe out of memory ? )";
         }
 
diff -ruN arbsrc_07_11_01_tgz_1/PROBE/PT_buildtree.cxx arb/PROBE/PT_buildtree.cxx
--- arbsrc_07_11_01_tgz_1/PROBE/PT_buildtree.cxx	Tue Jul 24 08:45:29 2001
+++ arb/PROBE/PT_buildtree.cxx	Thu Mar 21 12:43:31 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <unistd.h>
 #include <PT_server.h>
 #include <PT_server_prototypes.h>
diff -ruN arbsrc_07_11_01_tgz_1/PROBE/PT_etc.cxx arb/PROBE/PT_etc.cxx
--- arbsrc_07_11_01_tgz_1/PROBE/PT_etc.cxx	Thu Nov 23 01:41:15 2000
+++ arb/PROBE/PT_etc.cxx	Thu Mar 21 12:43:31 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <PT_server.h>
 #include <PT_server_prototypes.h>
diff -ruN arbsrc_07_11_01_tgz_1/PROBE/PT_family.cxx arb/PROBE/PT_family.cxx
--- arbsrc_07_11_01_tgz_1/PROBE/PT_family.cxx	Thu Nov 23 01:41:16 2000
+++ arb/PROBE/PT_family.cxx	Thu Mar 21 12:43:31 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <PT_server.h>
 #include <struct_man.h>
 #include <PT_server_prototypes.h>
diff -ruN arbsrc_07_11_01_tgz_1/PROBE/PT_findEx.cxx arb/PROBE/PT_findEx.cxx
--- arbsrc_07_11_01_tgz_1/PROBE/PT_findEx.cxx	Fri Mar  9 07:06:54 2001
+++ arb/PROBE/PT_findEx.cxx	Thu Mar 21 12:32:19 2002
@@ -1,8 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include <PT_server.h>
 #include <PT_server_prototypes.h>
 #include "probe.h"
diff -ruN arbsrc_07_11_01_tgz_1/PROBE/PT_io.cxx arb/PROBE/PT_io.cxx
--- arbsrc_07_11_01_tgz_1/PROBE/PT_io.cxx	Thu Nov 23 01:41:16 2000
+++ arb/PROBE/PT_io.cxx	Thu Mar 21 12:43:31 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <string.h>
 #include <PT_server.h>
diff -ruN arbsrc_07_11_01_tgz_1/PROBE/PT_new_design.cxx arb/PROBE/PT_new_design.cxx
--- arbsrc_07_11_01_tgz_1/PROBE/PT_new_design.cxx	Thu Nov 23 01:41:16 2000
+++ arb/PROBE/PT_new_design.cxx	Thu Mar 21 12:32:19 2002
@@ -1,8 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include <PT_server.h>
 #include <PT_server_prototypes.h>
 #include <struct_man.h>
diff -ruN arbsrc_07_11_01_tgz_1/PROBE/PT_prefixtree.cxx arb/PROBE/PT_prefixtree.cxx
--- arbsrc_07_11_01_tgz_1/PROBE/PT_prefixtree.cxx	Thu Jul 12 09:45:11 2001
+++ arb/PROBE/PT_prefixtree.cxx	Thu Mar 21 12:43:31 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <sys/types.h>
 #include <sys/mman.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <PT_server.h>
 #define IMPLEMENT_PROBE_TREE
diff -ruN arbsrc_07_11_01_tgz_1/PROBE/PT_secundaer.cxx arb/PROBE/PT_secundaer.cxx
--- arbsrc_07_11_01_tgz_1/PROBE/PT_secundaer.cxx	Thu Nov 23 01:41:16 2000
+++ arb/PROBE/PT_secundaer.cxx	Thu Mar 21 12:43:31 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <stdlib.h>
 #include <string.h>
 #include <PT_server.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/PROBE_COM/PT_extern.c arb/PROBE_COM/PT_extern.c
--- arbsrc_07_11_01_tgz_1/PROBE_COM/PT_extern.c	Thu Nov 23 01:41:16 2000
+++ arb/PROBE_COM/PT_extern.c	Thu Mar 21 12:32:20 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include "PT_server.h"
 #include "C/server.h"
@@ -10,7 +14,11 @@
 
 // this source is compiled as C++ !!!
 
+#ifdef __cplusplus
 extern "C" int pt_init_bond_matrix(PT_pdc *THIS);
+#else
+int pt_init_bond_matrix(PT_pdc *THIS);
+#endif
 
 int init_bond_matrix(PT_pdc *THIS) {
     pt_init_bond_matrix(THIS);
diff -ruN arbsrc_07_11_01_tgz_1/PROBE_DESIGN/probe_design.cxx arb/PROBE_DESIGN/probe_design.cxx
--- arbsrc_07_11_01_tgz_1/PROBE_DESIGN/probe_design.cxx	Fri Oct 12 07:00:38 2001
+++ arb/PROBE_DESIGN/probe_design.cxx	Thu Mar 21 12:43:32 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <ctype.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/SERVERCNTRL/servercntrl.c arb/SERVERCNTRL/servercntrl.c
--- arbsrc_07_11_01_tgz_1/SERVERCNTRL/servercntrl.c	Thu Dec 21 10:50:00 2000
+++ arb/SERVERCNTRL/servercntrl.c	Thu Mar 21 12:43:33 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <unistd.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <client_privat.h>
 #include <client.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/STAT/ST_ml.cxx arb/STAT/ST_ml.cxx
--- arbsrc_07_11_01_tgz_1/STAT/ST_ml.cxx	Thu Nov 23 01:41:16 2000
+++ arb/STAT/ST_ml.cxx	Thu Mar 21 12:41:51 2002
@@ -3,7 +3,9 @@
 #include <string.h>
 #include <math.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <ctype.h>
 #include <arbdb.h>
 #include <arbdbt.h>
diff -ruN arbsrc_07_11_01_tgz_1/TEST/test_pt_compress.cxx arb/TEST/test_pt_compress.cxx
--- arbsrc_07_11_01_tgz_1/TEST/test_pt_compress.cxx	Thu Nov 23 01:41:16 2000
+++ arb/TEST/test_pt_compress.cxx	Thu Mar 21 12:43:34 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 #include "test.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/TESTAWT/TB_main.cxx arb/TESTAWT/TB_main.cxx
--- arbsrc_07_11_01_tgz_1/TESTAWT/TB_main.cxx	Thu Nov 23 01:41:16 2000
+++ arb/TESTAWT/TB_main.cxx	Thu Mar 21 12:32:23 2002
@@ -25,8 +25,9 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 
 #include <arbdb.h>
 #include <arbdbt.h>
diff -ruN arbsrc_07_11_01_tgz_1/TESTVECTORFONT/TB_main.cxx arb/TESTVECTORFONT/TB_main.cxx
--- arbsrc_07_11_01_tgz_1/TESTVECTORFONT/TB_main.cxx	Thu Nov 23 01:41:16 2000
+++ arb/TESTVECTORFONT/TB_main.cxx	Thu Mar 21 12:32:23 2002
@@ -25,8 +25,9 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 
 #include <arbdb.h>
 #include <arbdbt.h>
diff -ruN arbsrc_07_11_01_tgz_1/TOOLS/arb_count_chars.cxx arb/TOOLS/arb_count_chars.cxx
--- arbsrc_07_11_01_tgz_1/TOOLS/arb_count_chars.cxx	Thu Nov 23 01:41:17 2000
+++ arb/TOOLS/arb_count_chars.cxx	Thu Mar 21 12:43:35 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <ctype.h>
 #include <arbdb.h>
diff -ruN arbsrc_07_11_01_tgz_1/TOOLS/arb_dnarates.c arb/TOOLS/arb_dnarates.c
--- arbsrc_07_11_01_tgz_1/TOOLS/arb_dnarates.c	Thu Nov 23 01:41:17 2000
+++ arb/TOOLS/arb_dnarates.c	Thu Mar 21 12:43:35 2002
@@ -20,7 +20,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <math.h>
 #include "DNAml_rates_1_0.h"
diff -ruN arbsrc_07_11_01_tgz_1/TOOLS/arb_primer.cxx arb/TOOLS/arb_primer.cxx
--- arbsrc_07_11_01_tgz_1/TOOLS/arb_primer.cxx	Thu Nov 23 01:41:17 2000
+++ arb/TOOLS/arb_primer.cxx	Thu Mar 21 12:43:35 2002
@@ -1,6 +1,8 @@
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <arbdb.h>
 #include <arbdbt.h>
diff -ruN arbsrc_07_11_01_tgz_1/TOOLS/arb_probe.cxx arb/TOOLS/arb_probe.cxx
--- arbsrc_07_11_01_tgz_1/TOOLS/arb_probe.cxx	Thu Nov 23 01:41:17 2000
+++ arb/TOOLS/arb_probe.cxx	Thu Mar 21 12:43:35 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <PT_com.h>
diff -ruN arbsrc_07_11_01_tgz_1/TREEGEN/defines.h arb/TREEGEN/defines.h
--- arbsrc_07_11_01_tgz_1/TREEGEN/defines.h	Thu Nov 23 01:41:17 2000
+++ arb/TREEGEN/defines.h	Thu Mar 21 12:43:35 2002
@@ -2,7 +2,9 @@
 #define __DEFINES_H
 
 #ifndef __MALLOC_H
-    #include <malloc.h>
+    #ifndef DARWIN
+#include <malloc.h>
+#endif
 #endif
 #ifndef __STDIO_H
     #include <stdio.h>
diff -ruN arbsrc_07_11_01_tgz_1/TREE_COMPRESS/TC_main.cxx arb/TREE_COMPRESS/TC_main.cxx
--- arbsrc_07_11_01_tgz_1/TREE_COMPRESS/TC_main.cxx	Thu Nov 23 01:41:17 2000
+++ arb/TREE_COMPRESS/TC_main.cxx	Thu Mar 21 12:43:35 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 #include "tc.hxx"
diff -ruN arbsrc_07_11_01_tgz_1/TRS/tree_lib.cxx arb/TRS/tree_lib.cxx
--- arbsrc_07_11_01_tgz_1/TRS/tree_lib.cxx	Thu Nov 23 01:41:17 2000
+++ arb/TRS/tree_lib.cxx	Thu Mar 21 12:43:36 2002
@@ -10,7 +10,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <stdarg.h>
 #include <sys/stat.h>
 #include <sys/mman.h>
diff -ruN arbsrc_07_11_01_tgz_1/TRS/trs_hash.cxx arb/TRS/trs_hash.cxx
--- arbsrc_07_11_01_tgz_1/TRS/trs_hash.cxx	Thu Nov 23 01:41:17 2000
+++ arb/TRS/trs_hash.cxx	Thu Mar 21 12:43:36 2002
@@ -4,7 +4,9 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 #include <ctype.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/TRS/trs_server.cxx arb/TRS/trs_server.cxx
--- arbsrc_07_11_01_tgz_1/TRS/trs_server.cxx	Thu Nov 23 01:41:17 2000
+++ arb/TRS/trs_server.cxx	Thu Mar 21 12:32:25 2002
@@ -1,8 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 char *TRS_map_file(const char *path,int writeable);
 #define GB_map_file TRS_map_file
 #	include <cat_tree.hxx>
diff -ruN arbsrc_07_11_01_tgz_1/WINDOW/AW_Xm.cxx arb/WINDOW/AW_Xm.cxx
--- arbsrc_07_11_01_tgz_1/WINDOW/AW_Xm.cxx	Thu Nov 23 01:41:17 2000
+++ arb/WINDOW/AW_Xm.cxx	Thu Mar 21 12:32:27 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <math.h>
 #include <X11/X.h>
 #include <X11/Xlib.h>
diff -ruN arbsrc_07_11_01_tgz_1/WINDOW/AW_click.cxx arb/WINDOW/AW_click.cxx
--- arbsrc_07_11_01_tgz_1/WINDOW/AW_click.cxx	Thu Nov 23 01:41:17 2000
+++ arb/WINDOW/AW_click.cxx	Thu Mar 21 12:32:26 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <X11/X.h>
 #include <X11/Xlib.h>
 
diff -ruN arbsrc_07_11_01_tgz_1/WINDOW/AW_xfont.cxx arb/WINDOW/AW_xfont.cxx
--- arbsrc_07_11_01_tgz_1/WINDOW/AW_xfont.cxx	Thu Nov 23 01:41:17 2000
+++ arb/WINDOW/AW_xfont.cxx	Thu Mar 21 12:32:27 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <X11/Xlib.h>
 


--- arbsrc_07_11_01_tgz_1/config.makefile	Thu Jan 11 04:23:51 2001
+++ arb/config.makefile	Thu Mar 21 09:39:58 2002
@@ -8,17 +8,21 @@
 # SEER = 1
 
 #********* LINUX / gcc g++ / static ********
-MACH = LINUX# Linus g++  and gcc
-LINUX = 1
-ECGS = 1# for newer Linux-versions
+MACH = DARWIN#
+DARWIN = 1
+
+#********* LINUX / gcc g++ / static ********
+#MACH = LINUX# Linus g++  and gcc
+#LINUX = 1
+#ECGS = 1# for newer Linux-versions
 
 #********* SUN4 / acc CC / dynamic ********
 
 # MACH = SUN4#
 # SUN4 = 1#                              # Exportable Version
 
-# MACH = SUN5#
-# SUN5 = 1
+#MACH = SUN5#
+#SUN5 = 1
 # SUN_WS_50 = 1 # compile with Workshop 5.0
 
 #********* HP ****************

 
--- arbsrc_07_11_01_tgz_1/AWT/AWT_www.cxx	Fri Sep  7 06:37:25 2001
+++ AWT/AWT_www.cxx	Thu Mar 21 19:18:36 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <memory.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <aw_root.hxx>
--- arbsrc_07_11_01_tgz_1/NAMES_COM/GENC/aisc_server.c	Wed May 23 08:45:39 2001
+++ NAMES_COM/GENC/aisc_server.c	Thu Mar 21 20:02:09 2002
@@ -11,7 +11,9 @@
 extern "C" {
 #endif
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 int aisc_make_sets(long *obj);	/* sets in a create request */
 int aisc_talking_get_index (int u, int o);
--- arbsrc_07_11_01_tgz_1/ORS_COM/GENC/aisc_server.c	Wed May 23 08:45:39 2001
+++ ORS_COM/GENC/aisc_server.c	Thu Mar 21 20:02:09 2002
@@ -11,7 +11,9 @@
 extern "C" {
 #endif
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 int aisc_make_sets(long *obj);	/* sets in a create request */
 int aisc_talking_get_index (int u, int o);

--- arbsrc_07_11_01_tgz_1/AWT/AWT_tables.cxx	Thu Jun  7 02:16:35 2001
+++ AWT/AWT_tables.cxx	Thu Mar 21 20:09:05 2002
@@ -3,7 +3,9 @@
 #include <unistd.h>
 #include <time.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 
 #include <arbdb.h>
--- arbsrc_07_11_01_tgz_1/AWT/AWT_seq_colors.cxx	Fri May  4 02:55:23 2001
+++ AWT/AWT_seq_colors.cxx	Thu Mar 21 20:10:33 2002
@@ -2,7 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 #include <ctype.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 
--- arbsrc_07_11_01_tgz_1/AWT/AWT_pro_a_nucs.cxx	Thu Nov 23 01:41:07 2000
+++ AWT/AWT_pro_a_nucs.cxx	Thu Mar 21 20:12:24 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <ctype.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <string.h>
 
 #include <arbdb.h>
--- arbsrc_07_11_01_tgz_1/AWT/AWT_tree_cmp.cxx	Tue Oct  2 03:28:27 2001
+++ AWT/AWT_tree_cmp.cxx	Thu Mar 21 20:14:10 2002
@@ -1,5 +1,7 @@
 #include <stdio.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <string.h>
 #include <arbdb.h>
--- arbsrc_07_11_01_tgz_1/AWT/AWT_nei.cxx	Thu Nov 23 01:41:07 2000
+++ AWT/AWT_nei.cxx	Thu Mar 21 20:15:36 2002
@@ -1,7 +1,9 @@
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 #include <arbdb.h>
 #include <arbdbt.h>
--- arbsrc_07_11_01_tgz_1/AWT/AWT_file_selection.cxx	Fri Oct 26 10:15:54 2001
+++ AWT/AWT_file_selection.cxx	Thu Mar 21 20:16:20 2002
@@ -3,7 +3,9 @@
 #include <unistd.h>
 #include <time.h>
 #include <string.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <memory.h>
 
 #include <arbdb.h>
--- arbsrc_07_11_01_tgz_1/NTREE/NT_main.cxx	Fri Oct 26 10:15:56 2001
+++ NTREE/NT_main.cxx	Thu Mar 21 20:17:26 2002
@@ -1,7 +1,9 @@
 #include <string.h>
 #include <stdio.h>
 #include <stdlib.h>
+#ifndef DARWIN
 #include <malloc.h>
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>

--- arbsrc_07_11_01_tgz_1/NALIGNER/ali_solution.hxx	Thu Nov 23 01:41:11 2000
+++ arbsrc_07_11_01_tgz_0/NALIGNER/ali_solution.hxx	Sun Apr 28 04:33:43 2002
@@ -5,8 +5,9 @@
 
 
 
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include "ali_profile.hxx"
 #include "ali_sequence.hxx"
 #include "ali_tlist.hxx"
--- arbsrc_07_11_01_tgz_1/GENOM/GEN_db.cxx	Fri Jul  6 02:36:32 2001
+++ arbsrc_07_11_01_tgz_0/GENOM/GEN_db.cxx	Sun Apr 28 04:48:14 2002
@@ -1,5 +1,6 @@
+#ifndef DARWIN
 #include <malloc.h>
-
+#endif
 #include <arbdb.h>
 #include <arbdbt.h>
 
--- arbsrc_07_11_01_tgz_1/AWT/AWT_input_mask.cxx	2001-10-18 07:49:04.000000000 -0700
+++ AWT/AWT_input_mask.cxx	2002-08-19 06:35:22.000000000 -0700
@@ -637,7 +637,10 @@
 
     for (; b != buttons.end() && v != values.end(); ++b, ++v, ++pos) {
         void (AW_window::*ins_togg)(AW_label, const char*, const char*);
-        ins_togg = (pos == default_position) ? &AW_window::insert_default_toggle : &AW_window::insert_toggle;
+        if(pos == default_position)
+           ins_togg = &AW_window::insert_default_toggle;
+        else
+           ins_togg = &AW_window::insert_toggle;
 
         (aws->*ins_togg)(b->c_str(), mask_global()->hotkey(*b), b->c_str());
     }
--- arbsrc_07_11_01_tgz_1/SECEDIT/SEC_main.cxx	2001-03-30 06:40:29.000000000 -0800
+++ SECEDIT/SEC_main.cxx	2002-08-19 06:50:16.000000000 -0700
@@ -376,10 +376,10 @@
 
     for (pos=0; ; pos++) {
         BI_helix::BI_helix_entry *entry = &(helix->entries[pos]);
-        //char *helix_nr = 0;
+        char *helix_nr = 0;
 
         if (entry->pair_type!=HELIX_NONE) {
-            char *helix_nr = entry->helix_nr;
+            helix_nr = entry->helix_nr;
 
             if (helix_nr==start_helix_nr) { // same helix_nr as last
                 end_helix = pos;
@@ -432,10 +432,10 @@
 
     for (pos=0; ; pos++) {
         BI_helix::BI_helix_entry *entry = &(helix->entries[pos]);
-        //char *helix_nr;
+        char *helix_nr = 0;
 
         if (entry->pair_type!=HELIX_NONE) {
-            char *helix_nr = entry->helix_nr;
+            helix_nr = entry->helix_nr;
 
             if (helix_nr==start_helix_nr) { // same helix as last
                 end_helix = pos;
--- arbsrc_07_11_01_tgz_1/PROBE_GROUP/pg_main.cxx	2001-10-18 07:49:07.000000000 -0700
+++ PROBE_GROUP/pg_main.cxx	2002-08-19 06:53:58.000000000 -0700
@@ -32,6 +32,7 @@
 #define UU	0
 
 #include <arbdbt.h>
+#include <stdarg.h>
 
 using namespace std;
 
--- arbsrc_07_11_01_tgz_1/ARBDBS/Makefile	2001-01-11 08:26:30.000000000 -0800
+++ arbsrc_07_11_01_tgz_1/ARBDBS/Makefile	2002-08-19 21:42:16.000000000 -0700
@@ -9,7 +9,7 @@
 $(MAIN): $(OBJECTS)
 	$(AR) $(MAIN) $(OBJECTS)
 .c.o:
-	$(CPP) $(cflags) -c $< $(CPPINCLUDES)
+	$(ACC) $(cflags) -c $< $(AINCLUDES)
 .cxx.o:
 	$(CPP) $(cflags) -c $< $(CPPINCLUDES)
 depend:
--- arbsrc_07_11_01_tgz_1/EDIT4/ED4_no_class.cxx	2001-08-31 05:27:52.000000000 -0700
+++ arbsrc_07_11_01_tgz_1/EDIT4/ED4_no_class.cxx	2002-09-15 21:05:56.000000000 -0700
@@ -423,7 +423,7 @@
             if (repeatCount) {
                 AW_ProcessEventType nextEventType = ED4_ROOT->aw_root->peek_key_event(aww);
 
-                if (nextEventType!=KEY_RELEASED) { // no key waiting => execute now
+                if (nextEventType==KEY_RELEASED) { // no key waiting => execute now
                     executeKeystroke(aww, &lastEvent, repeatCount);
                     repeatCount = 0;
                 }
